import 'package:json_annotation/json_annotation.dart';

part 'clickup_task_attachment.g.dart';

@JsonSerializable()
class ClickUpTaskAttachment {
  final String? id;
  final String? version;
  final int? date;
  final String? title;
  final String? extension;
  @JsonKey(name: 'thumbnail_small')
  final String? thumbnailSmall;
  @JsonKey(name: 'thumbnail_medium')
  final String? thumbnailMedium;
  @JsonKey(name: 'thumbnail_large')
  final String? thumbnailLarge;
  final String? url;
  @JsonKey(name: 'url_w_query')
  final String? urlWQuery;
  @JsonKey(name: 'url_w_host')
  final String? urlWHost;

  ClickUpTaskAttachment({
    required this.id,
    required this.version,
    required this.date,
    required this.title,
    required this.extension,
    required this.thumbnailSmall,
    required this.thumbnailMedium,
    required this.thumbnailLarge,
    required this.url,
    required this.urlWQuery,
    required this.urlWHost,
  });

  factory ClickUpTaskAttachment.fromJson(Map<String, dynamic> json) => _$ClickUpTaskAttachmentFromJson(json);

  Map<String, dynamic> toJson() => _$ClickUpTaskAttachmentToJson(this);
}
