import 'package:json_annotation/json_annotation.dart';

part 'create_task_template_body.g.dart';

@JsonSerializable()
class CreateTaskTemplateBody {
  final String? name;
  final List<String>? tags;
  final String? status;
  final int? priority;
  @JsonKey(name: 'due_date_time')
  final bool? dueDateTime;
  @JsonKey(name: 'start_date')
  final int? startDate;
  @JsonKey(name: 'start_date_time')
  final bool? startDateTime;
  @JsonKey(name: 'notify_all')
  final bool? notifyAll;
  final dynamic parent;
  @JsonKey(name: 'links_to')
  final dynamic linksTo;
  @JsonKey(name: 'check_required_custom_fields')
  final bool? checkRequiredCustomFields;

  CreateTaskTemplateBody({
    required this.name,
    required this.tags,
    required this.status,
    required this.priority,
    required this.dueDateTime,
    required this.startDate,
    required this.startDateTime,
    required this.notifyAll,
    required this.parent,
    required this.linksTo,
    required this.checkRequiredCustomFields,
  });

  factory CreateTaskTemplateBody.fromJson(Map<String, dynamic> json) => _$CreateTaskTemplateBodyFromJson(json);

  Map<String, dynamic> toJson() => _$CreateTaskTemplateBodyToJson(this);
}
